Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454218 - ehci_usb: External USB 2.0-hdd keeps being reset; works when using USB 1.1
Summary: ehci_usb: External USB 2.0-hdd keeps being reset; works when using USB 1.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-06 21:13 UTC by Stefan Neufeind
Modified: 2008-07-30 23:30 UTC (History)
0 users

Fixed In Version: 2.6.25.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 23:30:32 UTC


Attachments (Terms of Use)

Description Stefan Neufeind 2008-07-06 21:13:10 UTC
I experience the problem e.g. described here:
http://fedoraforum.org/forum/showthread.php?t=103776

Attaching the device, browsing and starting to copy files to/from it works fine.
But during copy after a short while the copying gets stuck and all of a sudden
syslog shows

  kernel: usb 2-1: reset high speed USB device using ehci_hcd and address 3

then the stall is gone for another minute or so. Unloading ehci_usb manually
(actually dropping down to USB 1.1) works, but sure is slow.

Comment 1 Chuck Ebbert 2008-07-09 19:21:18 UTC
Can you try a 2.6.25.10 based kernel when it becomes available?

Comment 2 Stefan Neufeind 2008-07-30 23:29:14 UTC
Had the chance to lately check the problematic device again with kernel
2.6.25.11-97.fc9.x86_64. Seems to work fine now.


Note You need to log in before you can comment on or make changes to this bug.